lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Simon Willnauer <simon.willna...@googlemail.com>
Subject [VOTE] Drop Java 5 support for trunk (Lucene 4.0)
Date Mon, 27 Jun 2011 17:38:08 GMT
This issue has been discussed on various occasions and lately on
LUCENE-3239 (https://issues.apache.org/jira/browse/LUCENE-3239)

The main reasons for this have been discussed on the issue but let me
put them out here too:

- Lack of testing on Jenkins with Java 5
- Java 5 end of lifetime is reached a long time ago so Java 5 is
totally unmaintained which means for us that bugs have to either be
hacked around, tests disabled, warnings placed, but some things simply
cannot be fixed... we cannot actually "support" something that is no
longer maintained: we do find JRE bugs
(http://wiki.apache.org/lucene-java/SunJavaBugs) and its important
that bugs actually get fixed: cannot do everything with hacks.\
- due to Java 5 we legitimate performance hits like 20% slower grouping speed.

For reference please read through the issue mentioned above.

A lot of the committers seem to be on the same page here to drop Java
5 support so I am calling out an official vote.

all Lucene 3.x releases will remain with Java 5 support this vote is
for trunk only.


Here is my +1

Simon

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message